// Add a button to Opera's toolbar when the extension loads.
window.addEventListener("load", function() {
	// Buttons are members of the UIItem family.
	// Firstly we set some properties to apply to the button.
	var UIItemProperties = {
		disabled: false, // The button is enabled.
		title: "Button badge example", // The tooltip title.
		icon: "icon_18.png", // The icon (18x18) to use for the button.
		onclick: updateBadge,
		badge: {
			textContent: '0',
			backgroundColor: '#006',
			color: '#ff6',
			display: 'block'
		}
	};

	// Next, we create the button and apply the above properties.
    var button = opera.contexts.toolbar.createItem(UIItemProperties);
    // Finally, we add the button to the toolbar.
    opera.contexts.toolbar.addItem(button);
    
    // Increase the number on the badge by one
    function updateBadge() {
		button.badge.textContent = parseInt(button.badge.textContent) + 1;
	}
}, false);
